server:
  port: 8080
  servlet:
    context_path: /
  compression:
    enabled: true
    mime-types: application/json,application/xml,text/html,text/xml,text/plain
  error:
    whitelabel:
      enabled: false
spring:
  profiles:
    active: dev
  datasource:
    url: jdbc:mysql://rm-wz9sc79f5255780opqo.mysql.rds.aliyuncs.com/cosmos?useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&allowMultiQueries=true&useSSL=false&serverTimezone=GMT%2b8
    username: cosmos
    password: ^53R4&Ej^3ccHje^
    hikari:
      minimum-idle: 5
      maximum-pool-size: 30
      auto-commit: true
      idle-timeout: 30000
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
    druid:
      # 连接池的配置信息
      # 初始化大小，最小，最大
      initial-size: 10
      min-idle: 10
      maxActive: 300
      # 配置获取连接等待超时的时间
      maxWait: 10000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      validationQuery: SELECT 1
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      # 打开PSCache，并且指定每个连接上PSCache的大小
      poolPreparedStatements: true
      maxPoolPreparedStatementPerConnectionSize: 20
      # 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
      filters: stat,wall,slf4j
      # 通过connectProperties属性来打开mergeSql功能；慢SQL记录
      connectionProperties: druid.stat.mergeSql\=true;druid.stat.slowSqlMillis\=5000
      remove-abandoned: true
      remove-abandoned-timeout: 1800
      log-abandoned: true
      # 配置DruidStatFilter
      web-stat-filter:
        enabled: true
        url-pattern: "/*"
        exclusions: "*.js,*.gif,*.jpg,*.bmp,*.png,*.css,*.ico,/druid/*"
      # 配置DruidStatViewServlet
      stat-view-servlet:
        enabled: true
        url-pattern: "/druid/*"
        login-username: admin
        login-password: ########
      filter:
        wall:
          enabled: true
          config:
            condition-and-alway-false-allow: true
            condition-and-alway-true-allow: true
            select-where-alway-true-check: false
  jpa:
    database: MySQL
    database_platform: org.hibernate.dialect.MySQL5InnoDBDialect
    hibernate:
      ddl_auto: update
    properties:
      hibernate:
        enable_lazy_load_no_trans: true
    open-in-view: true
  redis:
    host: 127.0.0.1
    database: 4
    port: 6379
    lettuce:
      pool:
        max_active: 8
        max_idle: 8
        min_idle: 0
  servlet:
    multipart:
      max_file_size: 100MB
      max_request_size: 100MB
  freemarker:
    settings:
      number_format: 0
  cache:
    type: redis
jwt:
  secret: XvAD0kboD76Dpebm
  header: Authorization
  expiration: 2592000 #30days
wx:
  mp:
    app_id: ##################
    app_secret: ################################
  ma:
    app_id: ##################
    app_secret: ################################
    msg_token: msgToken
    msg_aes_key: aesKey
    msg_format: JSON
  pay:
    app-id: ##################
    mch-id: ##########
    mch-key: ################################
    sub-app-id:
    sub-mch-id:
    key-path: classpath:/cert/apiclient_cert.p12
    notify-url: https://cosmostest.9space.vip/notify/order/weixin
    refund-notify-url: https://cosmostest.9space.vip/wx/refundNotify
    return-url: https://cosmostest.9space.vip/cosmos/orders
storage:
  provider: aliyun
  local_path: /var/www/upload/
aliyun:
  access-key-id: LTAI5tPoBCiEMSDaS1Q4HKr9
  access-key-secret: F8ZNiqdH35T7gikBkn6Fq8tgbvdY88
  oss-end-point: oss-cn-shenzhen.aliyuncs.com
  oss-bucket-name: r9th-02
  oss-domain: https://r9th-04.oss-cn-shenzhen.aliyuncs.com
  sms-sign: 绿洲数字藏品中心
  sms-code: SMS_228870098
general:
  host: https://cosmostest.9space.vip
  contract-name: nine_space_new
  name: Cosmos Art
  org: 广州麦塔沃司信息技术有限公司
  short-name: 麦塔沃司
  create-order-group: create-order-group-cosmos-dev
  create-order-topic: create-order-topic-cosmos-dev
  update-stock-group: update-stock-group-cosmos-dev
  update-stock-topic: update-stock-topic-cosmos-dev
  update-sale-group: update-sale-group-cosmos-dev
  update-sale-topic: update-sale-topic-cosmos-dev
  order-notify-group: order-notify-group-cosmos-dev
  order-notify-topic: order-notify-topic-cosmos-dev
  mint-group: mint-group-cosmos-dev
  mint-topic: mint-topic-cosmos-dev
  update-activity-stock-group: update-activity-stock-group-cosmos-dev
  update-activity-stock-topic: update-activity-stock-topic-cosmos-dev
  broadcast-event-group: broadcast-event-group-cosmos-dev
  broadcast-event-topic: broadcast-event-topic-cosmos-dev
mychain:
  rest:
    bizid: a00e36c5
    cipher-suit: ec
    rest-url: https://rest.baas.alipay.com
    access-id: VB4osv3QHEHBGVZM
    access-secret: access1.key
    tenantid: HEHBGVZM
    read-file-from-ext: false
    account: nine-space-official
    kmsId: m9U4I0R2HEHBGVZM1635922538317
alipay:
  app-id: ################
  gateway: https://openapi.alipay.com/gateway.do
  private-key: #################
  app-public-key: #############
  ali-public-key: ##############
  ali-pub-cert-path: classpath:cert/alipayCertPublicKey_RSA2.crt
  api-key: #########################
  app-cert-path: classpath:cert/appCertPublicKey_################.crt
  root-cert-path: classpath:cert/alipayRootCert.crt
  notify-url: https://cosmostest.9space.vip/notify/order/alipay
  return-url: https://cosmostest.9space.vip/cosmos/home
adapay:
  app-id: app_####################################
  debug: true
  prod: true
  api-key: api_live_####################################
  mock-key: api_test_####################################
  public-key: #####################
  priv-key: ##################
  app-public-key: ###############
  wx-app-id:
  notify-url: https://cosmostest.9space.vip/notify/adapay


rocketmq:
  name-server: 120.24.204.226:9876
  producer:
    group: cosmos-producer
    send-message-timeout: 30000

# 杉德支付配置
sandpay:
  gate-way: https://cashier.sandpay.com.cn
  public-key:
  private-key:
  private-key-pwd:
  mid:
  pl-mid:

#酷点支付配置
ikudotpay:
  gate-way: https://pay.kudianvip.com
  merch-id: KP10008834
  secret-key: ZHZjdJT2SBRQicEtavApic1KHVlk1SMy

# 连连付正式配置
lianlianpay:
  gate-way: https://accpapi.lianlianpay.com
  public-key: lianlianpay/llpay_public_key.pem
  private-key: lianlianpay/private_key.key
  mid: 2022052303023551

# 请求加密配置
request-cipher:
  public-key: cipher/9th_public.pem
  private-key: cipher/9th_private.pem
---

spring:
  profiles: test
general:
  host: https://cosmostest.9space.vip
  create-order-group: create-order-group-cosmos-test
  create-order-topic: create-order-topic-cosmos-test
  update-stock-group: update-stock-group-cosmos-test
  update-stock-topic: update-stock-topic-cosmos-test
  update-sale-group: update-sale-group-cosmos-test
  update-sale-topic: update-sale-topic-cosmos-test
  order-notify-group: order-notify-group-cosmos-test
  order-notify-topic: order-notify-topic-cosmos-test
  mint-group: mint-group-cosmos-test
  mint-topic: mint-topic-cosmos-test
  update-activity-stock-group: update-activity-stock-group-cosmos-test
  update-activity-stock-topic: update-activity-stock-topic-cosmos-test
  broadcast-event-group: broadcast-event-group-cosmos-test
  broadcast-event-topic: broadcast-event-topic-cosmos-test
  notify-server: true
---

spring:
  profiles: prod
  datasource:
    url: jdbc:mysql://rm-wz9sc79f5255780op.mysql.rds.aliyuncs.com/cosmos?useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&allowMultiQueries=true&useSSL=false&serverTimezone=GMT%2b8
general:
  host: https://cosmos.9space.vip
  create-order-group: create-order-group-cosmos-prod
  create-order-topic: create-order-topic-cosmos-prod
  update-stock-group: update-stock-group-cosmos-prod
  update-stock-topic: update-stock-topic-cosmos-prod
  update-sale-group: update-sale-group-cosmos-prod
  update-sale-topic: update-sale-topic-cosmos-prod
  order-notify-group: order-notify-group-cosmos-prod
  order-notify-topic: order-notify-topic-cosmos-prod
  mint-group: mint-group-cosmos-prod
  mint-topic: mint-topic-cosmos-prod
  update-activity-stock-group: update-activity-stock-group-cosmos-prod
  update-activity-stock-topic: update-activity-stock-topic-cosmos-prod
  broadcast-event-group: broadcast-event-group-cosmos-prod
  broadcast-event-topic: broadcast-event-topic-cosmos-prod
  notify-server: true
wx:
  pay:
    notify-url: https://cosmos.9space.vip/notify/order/weixin
    refund-notify-url: https://cosmos.9space.vip/wx/refundNotify
    return-url: https://cosmos.9space.vip/cosmos/orders
alipay:
  notify-url: https://cosmos.9space.vip/notify/order/alipay
  return-url: https://cosmos.9space.vip/cosmos/home
adapay:
  notify-url: https://cosmos.9space.vip/notify/adapay
aliyun:
  oss-end-point: oss-cn-shenzhen-internal.aliyuncs.com
ipfs:
  host: 127.0.0.1
  port: 5001
